	.386
	.model	use32 small

	extrn	allerr : proc, negerrl : proc
	public	_sqrtl
	.data
nm	db	"sqrtl",0

	.code
_sqrtl:
      	push	ebp
	mov	ebp,esp
	lea	ecx,[ebp+8]
	sub	edx,edx
	fld	tbyte ptr [ecx]
	fsqrt
	lea	eax,[nm]
	fld	tbyte ptr [ecx]
	call	negerrl
	leave
	ret
	end